### Method

# Gck Slot open_session_async

#### Declaration [src]

    void
    gck_slot_open_session_async (
      GckSlot* self,
      GckSessionOptions options,
      GTlsInteraction* interaction,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Open a session on the slot. If the ‘auto reuse’ setting is set, then this may be a recycled session with the same flags.

This call will return immediately and complete asynchronously.

This method completes asynchronously. Use `gck_slot_open_session_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`options`

  Type: `GckSessionOptions`

  The options to open the new session with.

`interaction`

  Type: `GTlsInteraction`

  The `GTlsInteraction` to use, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  Optional cancellation object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  Called when the operation completes.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data to pass to the callback.

  The argument can be `NULL`.
  The data is owned by the caller of the method.